View Issue Details

IDProjectCategoryView StatusLast Update
0017880Addons (external)Generalpublic2021-11-08 15:36
Reporterdrakinite Assigned To 
PriorityurgentSeverityfeatureReproducibilityN/A
Status closedResolutionreopened 
Product Version5.0.1 
Target Version5.0.2Fixed in Version5.0.2 
Summary0017880: Material Design Compact: Add compact mode in a setting accessible in the View submenu
Description(https://www.mediamonkey.com/addons/browse/item/compact-material-design-skins/)
Instead of it being an addon that has to be installed/uninstalled, MD Compact should be toggled via the Mode menu (switching from Desktop to Desktop - Compact)
TagsNo tags attached.

Relationships

related to 0018449 resolveddrakinite MediaMonkey 5 Enable skin options via info.json so skin developers don't have to write code 

Activities

Ludek

2021-05-19 09:23

developer   ~0063281

I am not sure what do you mean by "Layout menu" as the word "layout" is currently very ambiguous in MM5.

At the beginning we had only 'Desktop' and 'Touch' layouts, but later it was renamed to "Mode" and currently there is 'Desktop' and 'Layout' mode in menu > View > Mode
But only the 'Desktop' mode's layout (per tab) can be configured in Options > Layout

drakinite

2021-05-20 03:24

developer   ~0063311

Last edited: 2021-05-20 03:24

View 2 revisions

I meant mode. Good point that only the Desktop mode's layout can be configured in Options > Layout. Updated title and description.

Alternatively, it could be added to the View menu as its own checkbox item.

rusty

2021-10-20 01:28

administrator   ~0065347

I think this is much desired, but that implementing this via mode would be confusing for a couple of reasons:
a) the 'compact mode' may not necessarily be mutually exclusive with tablet mode
b) the 'compact mode' will only appear for some skins (users would have no idea why)

Would it be possible for the skin to be configurable? i.e.
Tools > Options > Skin > Skin name [gear]
That way if a skin has a compact mode, it could be selected via the gear icon.

drakinite

2021-10-26 01:37

developer   ~0065500

Last edited: 2021-10-26 01:39

View 2 revisions

Added feature in 2512, as well as:
- Unified both Material Design skins into one.
- Changed Material Design's default style to dark.
- Changed default skin to Material Design.
- Added [deprecated] to Material Design (dark)'s title.
Same commit as in 0018449.

lowlander

2021-10-28 23:26

developer   ~0065541

Verified 2512.

barrym

2021-11-04 07:51

reporter   ~0065711

I wanted to add a note, but could do this only I reopened the issue ... could someone tell me if this was inappropriate.

Nice feature Drakinite.
I agree your suggestion that the skin configuration should be available from the View menu, if only for discoverability.
Couldn't it be done like View|PartyMode .ie a gear on the menu option rows for relevant skins, which took you into the existing Tools|Options|Layout|Skins dbox tab?

rusty

2021-11-04 13:07

administrator   ~0065719

Barry, the 'gear' is actually implemented for the next build ( 0018483 ).

btw, opening bugs for feedback/clarification is fine as long as it's an issue resolved in the currently developed version. But yeah to a limit ;-)